Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros
mjit_config.h File Reference

Go to the source code of this file.

## Macros
#define | MJIT_HEADER_INSTALL_DIR "/usr/include/ruby-2.7.0/x86_64-msys"
#define | MJIT_MIN_HEADER_NAME "rb_mjit_min_header-2.7.0.h"
#define | MJIT_CC_COMMON "/usr/bin/gcc",
#define | MJIT_CFLAGS MJIT_ARCHFLAG "-w",
#define | MJIT_OPTFLAGS "-O3",
#define | MJIT_DEBUGFLAGS "-ggdb3",
#define | MJIT_LDSHARED "gcc", "-shared",
#define | MJIT_DLDFLAGS MJIT_ARCHFLAG "-Wl,--export-all-symbols", "-Wl,--enable-auto-image-base,--enable-auto-import",
#define | MJIT_LIBS "-lruby270",
#define | PRELOADENV ""
#define | MJIT_ARCHFLAG /* no flag */

## Macro Definition Documentation

## ◆ MJIT_ARCHFLAG

#define MJIT_ARCHFLAG /* no flag */

Definition at line 18 of file mjit_config.h.

## ◆ MJIT_CC_COMMON

#define MJIT_CC_COMMON "/usr/bin/gcc",

Definition at line 10 of file mjit_config.h.

## ◆ MJIT_CFLAGS

#define MJIT_CFLAGS MJIT_ARCHFLAG "-w",

Definition at line 11 of file mjit_config.h.

## ◆ MJIT_DEBUGFLAGS

#define MJIT_DEBUGFLAGS "-ggdb3",

Definition at line 13 of file mjit_config.h.

## ◆ MJIT_DLDFLAGS

#define MJIT_DLDFLAGS MJIT_ARCHFLAG "-Wl,--export-all-symbols", "-Wl,--enable-auto-image-base,--enable-auto-import",

Definition at line 15 of file mjit_config.h.

## ◆ MJIT_HEADER_INSTALL_DIR

#define MJIT_HEADER_INSTALL_DIR "/usr/include/ruby-2.7.0/x86_64-msys"

Definition at line 7 of file mjit_config.h.

## ◆ MJIT_LDSHARED

#define MJIT_LDSHARED "gcc", "-shared",

Definition at line 14 of file mjit_config.h.

## ◆ MJIT_LIBS

#define MJIT_LIBS "-lruby270",

Definition at line 16 of file mjit_config.h.

## ◆ MJIT_MIN_HEADER_NAME

#define MJIT_MIN_HEADER_NAME "rb_mjit_min_header-2.7.0.h"

Definition at line 9 of file mjit_config.h.

## ◆ MJIT_OPTFLAGS

#define MJIT_OPTFLAGS "-O3",

Definition at line 12 of file mjit_config.h.

## ◆ PRELOADENV

#define PRELOADENV ""

Definition at line 17 of file mjit_config.h.